using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Shared.Utilities;

namespace Vevo.Shared.Utilities
{
    public static class DateTimeUtilities
    {
        private static DateTime FirstDayOfWeek( DayOfWeek firstday, DateTime date )
        {
            if (firstday == DayOfWeek.Monday)
            {
                if (date.DayOfWeek == DayOfWeek.Tuesday)
                    date = date.AddDays( -1 );
                else if (date.DayOfWeek == DayOfWeek.Wednesday)
                    date = date.AddDays( -2 );
                else if (date.DayOfWeek == DayOfWeek.Thursday)
                    date = date.AddDays( -3 );
                else if (date.DayOfWeek == DayOfWeek.Friday)
                    date = date.AddDays( -4 );
                else if (date.DayOfWeek == DayOfWeek.Saturday)
                    date = date.AddDays( -5 );
                else if (date.DayOfWeek == DayOfWeek.Sunday)
                    date = date.AddDays( -6 );
            }
            else if (firstday == DayOfWeek.Sunday)
            {
                if (date.DayOfWeek == DayOfWeek.Monday)
                    date = date.AddDays( -1 );
                else if (date.DayOfWeek == DayOfWeek.Tuesday)
                    date = date.AddDays( -2 );
                else if (date.DayOfWeek == DayOfWeek.Wednesday)
                    date = date.AddDays( -3 );
                else if (date.DayOfWeek == DayOfWeek.Thursday)
                    date = date.AddDays( -4 );
                else if (date.DayOfWeek == DayOfWeek.Friday)
                    date = date.AddDays( -5 );
                else if (date.DayOfWeek == DayOfWeek.Saturday)
                    date = date.AddDays( -6 );
            }
            return new DateTime( date.Year, date.Month, date.Day );
        }


        public static DateTime GetFirstDayOfTheWeek( DateTime dateTime )
        {
            return FirstDayOfWeek( DayOfWeek.Sunday, dateTime );
        }

        public static DateTime GetLastDayOfTheWeek( DateTime dateTime )
        {
            return GetFirstDayOfTheWeek( dateTime ).AddDays( 6 );
        }

        public static DateTime GetFirstDayOfTheMonth( DateTime dateTime )
        {
            return new DateTime( dateTime.Year, dateTime.Month, 1 );
        }

        public static DateTime GetLastDayOfTheMonth( DateTime dateTime )
        {
            int daysInMonth = DateTime.DaysInMonth( dateTime.Year, dateTime.Month );
            return GetFirstDayOfTheMonth( dateTime ).AddDays( daysInMonth - 1 );
        }

        public static DateTime GetFirstDayOfTheYear( DateTime dateTime )
        {
            return new DateTime( dateTime.Year, 1, 1 );
        }

        public static DateTime StartTimeOfDay( DateTime dateTime )
        {
            return new DateTime( dateTime.Year, dateTime.Month, dateTime.Day );
        }

        public static DateTime EndTimeOfDay( DateTime dateTime )
        {
            return new DateTime(
                dateTime.Year, dateTime.Month, dateTime.Day,
                23, 59, 59 );
        }

        public static bool IsWithinTimeSpan(
            DateTime dateTime1,
            DateTime dateTime2,
            TimeSpan timeSpan )
        {
            TimeSpan diff;
            if (dateTime1 > dateTime2)
                diff = dateTime1.Subtract( dateTime2 );
            else
                diff = dateTime2.Subtract( dateTime1 );

            return timeSpan >= diff;
        }
    }
}
