using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Shared.Utilities
{
    public static class ListUtilities<T>
    {
        #region Private

        #endregion


        #region Public Methods

        public static bool AreSameSet( IList<T> list1, IList<T> list2 )
        {
            if (list1.Count != list2.Count)
                return false;

            foreach (T item2 in list2)
            {
                if (!list1.Contains( item2 ))
                    return false;
            }

            return true;
        }

        public static IList<T> CopyList( IList<T> list )
        {
            IList<T> newList = new List<T>();

            for (int i = 0; i < list.Count; i++)
            {
                newList.Add( list[i] );
            }

            return newList;
        }

        public static IList<T> CopyListDeep( IList<T> list )
        {
            //  if (!(list is ICloneable))
            //    throw new ApplicationException( "Data type is not clonable" );

            IList<T> newList = new List<T>();

            for (int i = 0; i < list.Count; i++)
            {
                ICloneable item = (ICloneable) list[i];
                newList.Add( (T) item.Clone() );
            }

            return newList;
        }

        #endregion

    }
}
