﻿using System.Collections.Generic;
using Vevo.Domain.Base;
using Vevo.Domain.Marketing;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IBannerRepository
    {
        Banner Save( Banner banner );
        void Delete( string bannerID );
        Banner GetOneByID( Culture culture, string bannerID );
        IList<Banner> GetAllByStoreID( Culture culture, string storeID, BoolFilter isEnabled, string sortBy );
        IList<Banner> SearchBanner(
            Culture culture,
            string sortBy,
            string storeID,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        void UpdateBannerSortOrder( string storeID, string[] sortedBanner );
        IList<ILocale> GetLocales( string bannerID );
        IList<TableSchemaItem> GetTableSchema();
    }
}
