using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ICurrencyRepository
    {
        Currency Save( Currency currency, string newCurrencyCode );
        Currency GetOne( string currencyCode );
        void Delete( string currencyCode );
        string GetCodeByName( string Name );
        IList<Currency> GetByEnabled( BoolFilter enabled );
        IList<TableSchemaItem> GetTableSchema();
        IList<Currency> SearchCurrency(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
    }
}
