using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Reports
{
    public static class RepositoryDisplayFormatter
    {
        public static String GetDateTimeText( object registerPeriod, PeriodType period, DateTime startDate, DateTime endDate )
        {
            if (period == PeriodType.Custom)
            {
                period = ReportFilterUtilities.ResolveCustomPeriodType( startDate, endDate );
            }

            if (period == PeriodType.Today ||
                period == PeriodType.Yesterday ||
                period == PeriodType.Last24Hours)
            {
                return String.Format( "{0}:00:00 - {0}:59:59", registerPeriod );
            }
            else if (period == PeriodType.ThisMonth ||
                period == PeriodType.LastMonth ||
                period == PeriodType.Last30Days ||
                period == PeriodType.Last7Days)
            {
                return Convert.ToDateTime( registerPeriod ).ToShortDateString();
            }
            else
                return registerPeriod.ToString();
        }
    }
}
