﻿using System;
using System.Configuration;
using Vevo.Deluxe.Data;
using Vevo.Data;
using Vevo.Domain;
using Vevo.Shared.DataAccess;
using Vevo.WebAppLib;
using Vevo.WebServices.Affiliates;
using Vevo.WebServices.Base;
using Vevo.WebServices.Cache;
using Vevo.WebServices.Categories;
using Vevo.WebServices.CommissionPayments;
using Vevo.WebServices.CommissionPendings;
using Vevo.WebServices.Configurations;
using Vevo.WebServices.Countries;
using Vevo.WebServices.Coupons;
using Vevo.WebServices.Cultures;
using Vevo.WebServices.Currencies;
using Vevo.WebServices.Customers;
using Vevo.WebServices.Departments;
using Vevo.WebServices.GiftCertificates;
using Vevo.WebServices.Info;
using Vevo.WebServices.Orders;
using Vevo.WebServices.Products;
using Vevo.WebServices.QuantityDiscounts;
using Vevo.WebServices.Security;
using Vevo.WebServices.States;
using Vevo.WebServices.Stores;
using Vevo.WebUI;
using Vevo.Shared.SystemServices;
using Vevo.Domain.DataInterfaces;
using Vevo.Deluxe.Domain.DataInterfaces;
using Vevo.Deluxe.Domain;

namespace Vevo.WebServices
{
    public class VevoCartWebServices : IInfoService, ISecurityService, IProductService, ICacheService, ICategoryService,
        IDepartmentService, IStoreService, ICustomerService, IConfigurationService, ICultureService, IOrderService,
        IGiftCertificateService, ICouponService, IQuantityDiscountService, ICountryService, IStateService, IAffiliateService,
        ICommissionPendingService, ICommissionPaymentService, ICurrencyService
    {
        private void SetUpDataContext()
        {
            DataAccessContext.SetUpRepository( typeof(IAdminRepository),
                new Vevo.Data.AdminRepository(), new Vevo.Data.AdminRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IAffiliateOrderRepository),
                new AffiliateOrderRepository(), new AffiliateOrderRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IAffiliatePaymentRepository),
                new AffiliatePaymentRepository(), new AffiliatePaymentRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IAffiliateRepository),
                new AffiliateRepository(), new AffiliateRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IBlogRepository),
                new BlogRepository(), new BlogRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICartRepository),
                new CartRepository(), new CartRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICartItemRepository),
                new CartItemRepository(), new CartItemRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICategoryRepository),
                new CategoryRepository(), new CategoryRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IConfigurationRepository),
                new ConfigurationRepository(), new ConfigurationRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IContentMenuItemRepository),
                new ContentMenuItemRepository(), new ContentMenuItemRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IContentMenuRepository),
                new ContentMenuRepository(), new ContentMenuRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IContentRepository),
                new ContentRepository(), new ContentRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICountryRepository),
                new CountryRepository(), new CountryRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICouponRepository),
                new CouponRepository(), new CouponRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICultureRepository),
                new CultureRepository(), new CultureRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICurrencyRepository),
                new CurrencyRepository(), new CurrencyRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICustomerRepository),
                new CustomerRepository(), new CustomerRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof(ICustomerRewardPointRepository),
                new CustomerRewardPointRepository(), new CustomerRewardPointRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ICustomerSubscriptionRepository),
                new CustomerSubscriptionRepository(), new CustomerSubscriptionRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IDepartmentRepository),
                new DepartmentRepository(), new DepartmentRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IGiftCertificateRepository),
                new GiftCertificateRepository(), new GiftCertificateRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IGiftRegistryItemRepository ),
                new GiftRegistryItemRepository(), new GiftRegistryItemRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IGiftRegistryRepository ),
                new GiftRegistryRepository(), new GiftRegistryRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IGoogleFeedMappingRepository),
                new GoogleFeedMappingRepository(), new GoogleFeedMappingRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IGoogleFeedTagRepository),
                new GoogleFeedTagRepository(), new GoogleFeedTagRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IGoogleFeedTagValueRepository),
                new GoogleFeedTagValueRepository(), new GoogleFeedTagValueRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IHelpRepository),
                new HelpRepository(), new HelpRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IManufacturerRepository),
                new ManufacturerRepository(), new ManufacturerRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(INewsLetterRepository),
                new NewsLetterRepository(), new NewsLetterRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(INewsRepository),
                new NewsRepository(), new NewsRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IOptionGroupRepository),
                new OptionGroupRepository(), new OptionGroupRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IOptionItemRepository),
                new OptionItemRepository(), new OptionItemRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IDiscountGroupRepository),
                new DiscountGroupRepository(), new DiscountGroupRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IEmailTemplateDetailRepository),
                new EmailTemplateDetailRepository(), new EmailTemplateDetailRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IEBayListRepository ),
                new EBayListRepository(), new EBayListRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IEBayTemplateRepository ),
                new EBayTemplateRepository(), new EBayTemplateRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IOrderRepository),
                new OrderRepository(), new OrderRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IOrderItemRepository),
                new OrderItemRepository(), new OrderItemRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IPaymentLogRepository),
                new PaymentLogRepository(), new PaymentLogRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IPaymentOptionRepository),
                new PaymentOptionRepository(), new PaymentOptionRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IPayPalIpnRepository),
                new PayPalIpnRepository(), new PayPalIpnRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IProductKitGroupRepository),
                new ProductKitGroupRepository(), new ProductKitGroupRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IProductRepository),
                new ProductRepository(), new ProductRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IPromotionGroupRepository ),
                new PromotionGroupRepository(), new PromotionGroupRepositoryNoCache() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IPromotionProductRepository ),
                new PromotionProductRepository(), new PromotionProductRepository() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IPromotionSubGroupRepository ),
                new PromotionSubGroupRepository(), new PromotionSubGroupRepository() );

            DataAccessContextDeluxe.SetUpRepository( typeof( IQuickBooksLogRepository ),
                new QuickBooksLogRepository(), new QuickBooksLogRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IRecurringProfileRepository),
                new RecurringProfileRepository(), new RecurringProfileRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IRmaRepository),
                new RmaRepository(), new RmaRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IRmaActionRepository),
                new RmaActionRepository(), new RmaActionRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IShippingOptionRepository),
                new ShippingOptionRepository(), new ShippingOptionRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IShippingOptionTypeRepository),
                new ShippingOptionTypeRepository(), new ShippingOptionTypeRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IShippingWeightRateRepository),
                new ShippingWeightRateRepository(), new ShippingWeightRateRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IShippingOrderTotalRateRepository),
                new ShippingOrderTotalRateRepository(), new ShippingOrderTotalRateRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IShippingZoneGroupRepository),
                new ShippingZoneGroupRepository(), new ShippingZoneGroupRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ISpecificationGroupRepository),
                new SpecificationGroupRepository(), new SpecificationGroupRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ISpecificationItemRepository),
                new SpecificationItemRepository(), new SpecificationItemRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ISpecificationItemValueRepository),
                new SpecificationItemValueRepository(), new SpecificationItemValueRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IStateRepository),
                new StateRepository(), new StateRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IStoreRepository),
                new StoreRepository(), new StoreRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ISubscriptionLevelRepository),
                new SubscriptionLevelRepository(), new SubscriptionLevelRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(ITaxClassRepository),
                new TaxClassRepository(), new TaxClassRepositoryNoCache() );

            DataAccessContext.SetUpRepository( typeof(IWishListRepository),
                new WishListRepository(), new WishListRepositoryNoCache() );

            DataAccess.SetUpPerRequestDataStorage( new StaticContextPerRequestDataStorage() );
            DataTransactionScope.SetUpPerRequestDataStorage( new StaticContextPerRequestDataStorage() );
        }

        private void BlankLogError( Exception ex )
        {
        }

        public InfoMessage GetInfo( RequestMessage request )
        {
            InfoService infoService = new InfoService();
            return infoService.GetInfo( request );
        }

        public string Login( string UserName, string Password )
        {
            SecurityServices securityServices = new SecurityServices();
            return securityServices.Login( UserName, Password );
        }

        public void Logout( string Ticket )
        {
            SecurityServices securityServices = new SecurityServices();
            securityServices.Logout( Ticket );
        }

        public ProductListResponseMessage ListProducts( ProductListRequestMessage ListMessage )
        {
            ProductService productService = new ProductService();
            return productService.ListProducts( ListMessage );
        }

        public ResponseMessage AddProducts( ProductSaveRequestMessage AddMessage )
        {
            ProductService productService = new ProductService();
            return productService.AddProducts( AddMessage );
        }

        public ResponseMessage UpdateProducts( ProductSaveRequestMessage UpdateMessage )
        {
            ProductService productService = new ProductService();
            return productService.UpdateProducts( UpdateMessage );
        }

        public ResponseMessage DeleteProducts( ProductDeleteRequestMessage DeleteMessage )
        {
            ProductService productService = new ProductService();
            return productService.DeleteProducts( DeleteMessage );
        }

        public ResponseMessage ClearCache( RequestMessage ClearMessage )
        {
            CacheService cacheService = new CacheService();
            return cacheService.ClearCache( ClearMessage );
        }

        public CategoryListResponseMessage ListCategories( CategoryListRequestMessage ListMessage )
        {
            CategoryService categoryService = new CategoryService();
            return categoryService.ListCategories( ListMessage );
        }

        public DepartmentListResponseMessage ListDepartments( DepartmentListRequestMessage ListMessage )
        {
            DepartmentService departmentService = new DepartmentService();
            return departmentService.ListDepartments( ListMessage );
        }

        public StoreListResponseMessage ListStores( StoreListRequestMessage ListMessage )
        {
            StoreService storeService = new StoreService();
            return storeService.ListStores( ListMessage );
        }

        public CustomerListResponseMessage ListCustomers( CustomerListRequestMessage ListMessage )
        {
            CustomerService customerService = new CustomerService();
            return customerService.ListCustomers( ListMessage );
        }

        public CustomerListResponseMessage ListWholesales( CustomerListRequestMessage ListMessage )
        {
            CustomerService customerService = new CustomerService();
            return customerService.ListWholesales( ListMessage );
        }

        public ConfigurationListResponseMessage ListConfigurations( ConfigurationListRequestMessage ListMessage )
        {
            ConfigurationService configurationService = new ConfigurationService();
            return configurationService.ListConfigurations( ListMessage );
        }

        public CultureListResponseMessage ListAllCultures( RequestMessage ListMessage )
        {
            CultureService cultureService = new CultureService();
            return cultureService.ListAllCultures( ListMessage );
        }

        public OrderListResponseMessage ListOrders( OrderListRequestMessage ListMessage )
        {
            OrderService orderService = new OrderService();
            return orderService.ListOrders( ListMessage );
        }

        public ResponseMessage AddOrders( OrderSaveRequestMessage AddMessage )
        {
            OrderService orderService = new OrderService();
            return orderService.AddOrders( AddMessage );
        }

        public ResponseMessage UpdateOrders( OrderSaveRequestMessage UpdateMessage )
        {
            OrderService orderService = new OrderService();
            return orderService.UpdateOrders( UpdateMessage );
        }

        public ResponseMessage DeleteOrders( OrderDeleteRequestMessage DeleteMessage )
        {
            OrderService orderService = new OrderService();
            return orderService.DeleteOrders( DeleteMessage );
        }

        public GiftCertificateListResponseMessage ListGiftCertificates( GiftCertificateListRequestMessage ListMessage )
        {
            GiftCertificateService giftCertificateService = new GiftCertificateService();
            return giftCertificateService.ListGiftCertificates( ListMessage );
        }

        public CouponListResponseMessage ListCoupons( CouponListRequestMessage ListMessage )
        {
            CouponService couponService = new CouponService();
            return couponService.ListCoupons( ListMessage );
        }

        public QuantityDiscountListResponseMessage ListQuantityDiscounts( QuantityDiscountListRequestMessage ListMessage )
        {
            QuantityDiscountService quantityDiscountService = new QuantityDiscountService();
            return quantityDiscountService.ListQuantityDiscounts( ListMessage );
        }

        public CountryListResponseMessage ListCountries( RequestMessage ListMessage )
        {
            CountryService countryService = new CountryService();
            return countryService.ListCountries( ListMessage );
        }

        public StateListResponseMessage ListStates( StateListRequestMessage ListMessage )
        {
            StateService stateService = new StateService();
            return stateService.ListStates( ListMessage );
        }

        public AffiliateListResponseMessage ListAffiliates( AffiliateListRequestMessage ListMessage )
        {
            AffiliateService affiliateService = new AffiliateService();
            return affiliateService.ListAffiliates( ListMessage );
        }

        public CommissionPendingListResponseMessage ListCommissionPendings( CommissionPendingListRequestMessage ListMessage )
        {
            CommissionPendingService commissionPendingService = new CommissionPendingService();
            return commissionPendingService.ListCommissionPendings( ListMessage );
        }

        public CommissionPaymentListResponseMessage ListCommissionPayments( CommissionPaymentListRequestMessage ListMessage )
        {
            CommissionPaymentService commissionPaymentService = new CommissionPaymentService();
            return commissionPaymentService.ListCommissionPayments( ListMessage );
        }

        public CurrencyListResponseMessage ListCurrencies( CurrencyListRequestMessage ListMessage )
        {
            CurrencyService currencyService = new CurrencyService();
            return currencyService.ListCurrencies( ListMessage );
        }

        public VevoCartWebServices()
        {
            SetUpDataContext();

            DataAccess.SetUpPerRequestDataStorage( new StaticContextPerRequestDataStorage() );
            DataTransactionScope.SetUpPerRequestDataStorage( new StaticContextPerRequestDataStorage() );

            DatabaseConnectionService connectionService = new DatabaseConnectionService();
            string connectionString = ConfigurationManager.ConnectionStrings["StoreConnection"].ConnectionString;
            DataAccessHelper.SetUp(
                connectionString,
                ConfigurationManager.ConnectionStrings[StoreContext.ConnectionStringsTagName].ProviderName,
                true,
                new DataAccess.LogErrorCallback( BlankLogError ),
                WebConfiguration.SecretKey );

            DataAccessContext.EnableConfigurations( true );
            ConfigurationHelper.ApplyConfigurations();

            if (Vevo.KeyUtilities.IsMultistoreLicense())
            {
                System.Data.SqlClient.SqlDependency.Start( connectionString );
            }
            DataTransactionScope.ClearAll();
        }
    }
}
