using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using Vevo.WebAppLib;

namespace Vevo.WebUI.Ajax
{
    public static class AjaxUtilities
    {
        public static void ScrollToTop( Control control )
        {
            ScriptManager.RegisterStartupScript(
                control,
                control.GetType(),
                "GoToTop",
                "Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(pageLoadedHandler);" +
                "function pageLoadedHandler(sender, args) " +
                "{ window.scrollTo(0,0); }",
                true );
        }

        public static ScriptManager GetScriptManager( Control control )
        {
            if ( control == null )
                return null;

            Control parentControl;

            if ( control.Page == null )
                return null;
            else
            {
                parentControl = control.Page.FindControl( "uxScriptManager" );

                if ( parentControl != null )
                    return ( ScriptManager ) parentControl;
            }

            if ( control.Page.Master == null )
                return null;
            else
            {
                parentControl = control.Page.Master.FindControl( "uxScriptManager" );

                if ( parentControl != null )
                    return ( ScriptManager ) parentControl;
            }

            if ( control.Page.Master.Master == null )
                return null;
            else
            {
                parentControl = control.Page.Master.Master.FindControl( "uxScriptManager" );

                if ( parentControl != null )
                    return ( ScriptManager ) parentControl;
            }

            return null;
        }
    }
}
