<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductDetailsDefault4.ascx.cs"
    Inherits="Layouts_ProductDetails_ProductDetailsDefault4" %>
<%@ Register Src="~/Components/QuantityDiscount.ascx" TagName="QuantityDiscount"
    TagPrefix="uc12" %>
<%@ Register Src="~/Components/GiftCertificateDetails.ascx" TagName="GiftCertificateDetails"
    TagPrefix="uc11" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc10" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc15" %>
<%@ Register Src="~/Components/StarRatingSummary.ascx" TagName="StarRatingSummary"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/CustomerReviews.ascx" TagName="CustomerReviews" TagPrefix="uc7" %>
<%@ Register Src="~/Components/RelatedProducts.ascx" TagName="RelatedProducts" TagPrefix="uc6" %>
<%@ Register Src="~/Components/RatingCustomer.ascx" TagName="RatingCustomer" TagPrefix="uc4" %>
<%@ Register Src="~/Components/RatingControl.ascx" TagName="RatingControl" TagPrefix="uc3" %>
<%@ Register Src="~/Components/ProductImage.ascx" TagName="ProductImage" TagPrefix="uc2" %>
<%@ Register Src="~/Components/OptionGroupDetails.ascx" TagName="OptionGroupDetails"
    TagPrefix="uc1" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/DotLine.ascx" TagName="DotLine" TagPrefix="uc5" %>
<%@ Register Src="~/Components/RecurringSpecial.ascx" TagName="RecurringSpecial"
    TagPrefix="uc14" %>
<%@ Register Src="~/Components/AddThis.ascx" TagName="AddThis" TagPrefix="ucAddThis" %>
<%@ Register Src="~/Components/LikeButton.ascx" TagName="LikeButton" TagPrefix="ucLikeButton" %>
<%@ Register Src="~/Components/ProductSpecificationDetails.ascx" TagName="ProductSpecificationDetails"
    TagPrefix="ucProductSpecificationDetails" %>
<%@ Register Src="~/Components/ProductKitGroupDetails.ascx" TagName="ProductKitGroupDetails"
    TagPrefix="ucProductKitGroupDetails" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uxAddToCartNotification" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebAppLib" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductDetailsDefault4">
    <div class="L-Detail">
        <div class="ProductImage">
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <table class="ProductDetailsDefault4Image">
                        <tr>
                            <td class="ProductDetailsDefault4ImageColumn">
                                <div class="ProductDetailsImageRowOverlayArea">
                                    <uc2:ProductImage ID="uxCatalogImage" runat="server" MaximumWidth="300px" ProductID='<%# Eval( "ProductID" ) %>'>
                                    </uc2:ProductImage>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="ProductDetailsDefault4ImageThumbnail">
                                <asp:DataList ID="uxThumbnailDataList" runat="server" CssClass="ImageThumbnailList"
                                    RepeatDirection="Horizontal" RepeatColumns="4" CellSpacing="4" CellPadding="1">
                                    <ItemTemplate>
                                        <div class="ImageThumbnailItem">
                                            <div class="ProductDetailsDefault2ImageThumbnailDataListItemDiv">
                                                <asp:LinkButton ID="uxThumbBtn" runat="server" OnClick="uxThumbBtn_Click" CommandArgument='<%# Eval("ProductImageID").ToString() %>'
                                                    ToolTip='<%# ImageTitleText(BindingContainer,Eval("ProductImageID").ToString()) %>'>
                                                    <asp:Image ID="uxThumbImage" runat="server" ImageUrl='<%# ImageUrl(Eval("ThumbnailImage").ToString()) %>'
                                                        Width="45px" /></asp:LinkButton>
                                            </div>
                                    </ItemTemplate>
                                    <ItemStyle CssClass="ImageThumbnailItemStyle" />
                                </asp:DataList>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div class="ProductQuickInfo">
            <div class="Info-Name">
                <asp:Label ID="uxNameLabel" runat="server" Text='<%# Eval( "Name" ) %>' /></div>
            <div id="uxSkuNumberTR" runat="server" visible='<%# DataAccessContext.Configurations.GetBoolValue( "ShowSkuMode" ) %>'
                class="Info-Sku">
                [$SkuNumber]:
                <asp:Label ID="uxSkuLabel" runat="server" Text='<%# Eval( "sku" ).ToString() %>' />
            </div>
            <div id="uxRatingCustomerDIV" runat="server" class="RatingCustomer">
                <div class="StarRating">
                    <uc4:RatingCustomer ID="uxRatingCustomer" runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
                </div>
                <div class="WriteReviewLink">
                    <asp:LinkButton ID="uxAddReviewButton" runat="server" Text="[$ReviewLink]" OnCommand="uxAddReviewButton_Command"
                        CommandArgument='<%#Vevo.UrlManager.GetCustomerReviewUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        CssClass="CommonHyperLink" />
                </div>
            </div>
            <div class="SocialButtonDiv">
                <ucLikeButton:LikeButton ID="uxLikeButton" runat="server" />
                <asp:Panel ID="uxAddThisPanel" runat="server" CssClass="AddThisButton">
                    <ucAddThis:AddThis ID="uxAddThis" runat="server" />
                </asp:Panel>
            </div>
            <div class="ShortDescription">
                <asp:Label ID="uxShortDescriptionLabel" runat="server" Text='<%# Eval( "ShortDescription" ) %>'
                    Visible='<%# !String.IsNullOrEmpty( String.Format( "{0}", Eval( "ShortDescription" ))) %>' />
            </div>
            <div id="uxRecurringDiv" runat="server" visible='<%# ConvertUtilities.ToBoolean( Eval("IsRecurring") ) %>'
                class="ProductDetailsDefault4RecurringDiv">
                <asp:Panel ID="uxRecurringPeriodTR" runat="server" Visible='<%# IsVisibilityRecurringPeriod() %>'
                    CssClass="ProductDetailsDefault4RecurringAmountEveryPanel">
                    <%#  "[$RecurringAmountEvery] " + ShowRecurringCycles()%>
                </asp:Panel>
                <uc14:RecurringSpecial ID="uxRecurringSpecial" runat="server" Visible='<%# IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>' />
            </div>
            <div class="Price">
                <div class="ProductDetailsDefault4TitleLabel" runat="server" Visible='<%# IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>' >
                    [$PriceTitle]</div>
                <div id="uxCallForPriceTR" runat="server" visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                    cssclass="ProductDetailsCallForPrice">
                    [$CallForPrice]
                </div>
                <div id="uxCustomPriceDiv" runat="server" class="ProductDetailsDefault4CustomPriceDiv"
                    visible='<%# Convert.ToBoolean(Eval ( "IsCustomPrice" ))%>'>
                    <asp:Label ID="uxCustomPriceLabel" runat="server" CssClass="ProductDetailsDefault4CustomPriceLabel">[$CustomPrice]</asp:Label>
                    <asp:TextBox ID="uxEnterAmountText" runat="server" CssClass="CommonTextBox ProductDetailsDefault4CustomPriceTextbox"
                        MaxLength="10" Text='<%# GetAmountText( StoreContext.Currency.FormatPrice(Eval( "ProductCustomPrice.DefaultPrice" )) )%>' />
                    <div class="CustomPriceRequiredNote">
                        <asp:RequiredFieldValidator ID="uxEnterAmountTextRequired" runat="server" ErrorMessage="Enter amount is required."
                            Display="Dynamic" ControlToValidate="uxEnterAmountText" ValidationGroup="ValidOption">
                        </asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="uxEnterAmountTextCompare" runat="server" ErrorMessage="Enter amount must be equal or greater than minimum price."
                            Display="Dynamic" ValueToCompare='<%#Convert.ToDouble( Eval( "ProductCustomPrice.MinimumPrice" ) )%>'
                            Type="Double" Operator="GreaterThanEqual" ControlToValidate="uxEnterAmountText"
                            ValidationGroup="ValidOption">
                        </asp:CompareValidator>
                        <asp:CompareValidator ID="uxEnterAmountDataTypeCheck" runat="server" ControlToValidate="uxEnterAmountText"
                            ErrorMessage="Enter amount is invalid" Operator="DataTypeCheck" Type="Currency"
                            ValidationGroup="ValidOption" Display="Dynamic">
                        </asp:CompareValidator></div>
                    <div id="uxCustomPriceNote" runat="server" class="CustomPriceNote" visible='<%# Convert.ToInt32(Eval( "ProductCustomPrice.MinimumPrice" ))>0?true:false%>'>
                        <asp:Label ID="uxMinPriceLabel" runat="server" Text="[$MinimumPrice]" /><%# StoreContext.Currency.FormatPrice( Eval( "ProductCustomPrice.MinimumPrice" ) )%></div>
                </div>
                <div id="uxRetailPriceTR" runat="server" visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) )  %>'
                    class="ProductDetailsDefault4RetailPrice">
                    <asp:Label ID="uxRetailLabel" runat="server" Font-Strikeout="true" Text='<%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) ) %>' />
                    <span class="DiscountPercent" id="uxDiscountPercentLabel" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                        <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                            <%# GetDiscountPercent( Eval( "ProductID" ))%></span> </span>
                </div>
                <div id="uxPriceP" runat="server" visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" ) )  %>'
                    class="ProductDetailsDefault4OurPrice">
                    <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' />
                    <asp:Label ID="uxTaxIncludeLabel" runat="server" Text="[$TaxIncluded]" CssClass="CommonValidateText"
                        Visible='<%# IsTaxInclude() %>' />
                </div>
            </div>
            <div class="ProductStock">
                <div id="uxRemainingQuantity" runat="server" visible='<%# ShowRemainingQuantity(Eval("UseInventory")) %>'
                    class="ProductDetailsDefault4RemainQuantityParagraph">
                    [$Remaining Quantity] :
                    <asp:Label ID="uxShowStockLabel" runat="server" Text='<%#RemainingStock(Eval("SumStock")) %>'></asp:Label>
                </div>
                <asp:Panel ID="uxRmaMessagePanel" runat="server" CssClass="ProductDetailsDefault4RmaPanel"
                    Visible="<%# IsRmaEmable() %>">
                    <asp:Label ID="uxRmaMessageLabel" runat="server" Text='<%# RmaMessage( Eval( "ReturnTime" ) ) %>' />
                </asp:Panel>
                <div id="uxFreeShippingRow" runat="server" visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>'
                    class="FreeShippingLabel">
                    <asp:Label ID="uxFreeShippingText" runat="server" Text="[$FreeShippingIcon]" />
                </div>
            </div>
            <div class="ProductDetailsDefault4OptionDiv">
                <asp:UpdatePanel ID="uxOptionGroupUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <uc1:OptionGroupDetails ID="uxOptionGroupDetails" runat="server" ProductID='<%# Eval( "ProductID" ) %>'>
                        </uc1:OptionGroupDetails>
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                    </Triggers>
                </asp:UpdatePanel>
            </div>
            <uc12:QuantityDiscount ID="uxQuantityDiscount" runat="server" DiscountGroupID="<%# DiscountGroupID %>" />
            <asp:UpdatePanel ID="uxGiftCertificateUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <uc11:GiftCertificateDetails ID="uxGiftCertificateDetails" runat="server" IsGiftCertificate='<%# Eval( "IsGiftCertificate" ) %>'
                        ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
        <div class="ProductDetailsDefault4DescriptionDiv">
            <div class="ProductDetailsDefault4DescriptionDivTitle">
                [$ProductDetails]<%# Eval( "Name" ) %></div>
            <div class="ProductDetailsDefault4DescriptionLongDiv">
                <asp:Label ID="uxLongDescriptionLabel" runat="server" Text='<%# Eval( "LongDescription" ) %>'
                    CssClass="ProductDetailsDefault4DescriptionLongLabel" Visible='<%# !String.IsNullOrEmpty( String.Format( "{0}", Eval( "LongDescription" ))) %>' /></div>
        </div>
        <asp:Panel ID="uxProductKitPanel" runat="server">
            <div class="ProductDetailsDefault4DescriptionDiv">
                <div class="ProductDetailsDefault4DescriptionDivTitle">
                    <asp:Label ID="uxProductKitTitle" runat="server">[$ProductKitTitle]<%# Eval( "Name" ) %></asp:Label>
                </div>
                <div class="ProductDetailsDefault4DescriptionLeft">
                    <div class="ProductDetailsDefault4DescriptionRight">
                        <asp:UpdatePanel ID="uxProductKitUpdatePanel" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <ucProductKitGroupDetails:ProductKitGroupDetails ID="uxProductKitGroupDetails" runat="server"
                                    ProductID='<%# Eval( "ProductID" ) %>'></ucProductKitGroupDetails:ProductKitGroupDetails>
                            </ContentTemplate>
                            <Triggers>
                                <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                    <div class="Clear">
                    </div>
                </div>
            </div>
        </asp:Panel>
        <div class="ProductDetailsDefault4SpecificationDiv" id="uxProductSpecificationPanel"
            runat="server">
            <div class="ProductDetailsDefault4SpecificationDivTitle">
                <asp:Label ID="uxProductSpecificationLabel" runat="server">[$ProductSpecification]<%# Eval( "Name" ) %></asp:Label>
            </div>
            <div class="ProductDetailsDefaulSpecificationDetailsDiv">
                <ucProductSpecificationDetails:ProductSpecificationDetails ID="uxProductSpecificationDetails"
                    runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
            </div>
        </div>
        <div id="uxRatingTabDIV" runat="server" class="ProductDetailsDefault4RatingDiv">
            <div class="ProductDetailsDefault4RatingDivTitle">
                [$RatingTitle]<%# Eval( "Name" ) %>
                <div id="uxWriteReviewDIV" runat="server" class="WriteReviewDiv">
                    <asp:LinkButton ID="uxWriteReviewLinkButton" runat="server" Text="[$ReviewLink]"
                        OnCommand="uxAddReviewButton_Command" CommandArgument='<%#Vevo.UrlManager.GetCustomerReviewUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        CssClass="CommonHyperLink" /></div>
            </div>
            <div class="ProductDetailsDefault4RatingSummary" id="uxTabPanelAllRating" runat="server">
                <uc8:StarRatingSummary ID="uxStarRatingSummary" runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
            </div>
            <div class="ProductDetailsDefault4CustomerReview" id="uxTabPanelCustomerRating" runat="server">
                <uc7:CustomerReviews ID="uxCustomerReviews" runat="server" />
            </div>
        </div>
    </div>
    <div class="R-Detail">
        <div class="R-Detail-corner">
            <asp:Image ID="uxCornerImage" runat="server" ImageUrl="~/Images/Design/sharpCorner.png" /></div>
        <div class="AddToCartDiv" id="uxAddCartDiv" runat="server" visible='<%# !CatalogUtilities.IsCatalogMode() && !Vevo.CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean( Eval("UseInventory") ) ) && IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>'>
            <div id="uxProductDetailsDefault4Quantity" runat="server" class="ProductDetailsDefault4QuantityDiv"
                visible='<%#VisibleQuantity( Convert.ToInt32( Eval( "SumStock" ) ), Convert.ToBoolean( Eval ( "UseInventory" ) ) ) %>'>
                <span id="uxQuantitySpan" runat="server" class="ProductDetailsDefault4QuantitySpan">
                    [$Quantity]</span>
                <asp:TextBox ID="uxQuantityText" runat="server" Text='<%# Eval( "MinQuantity" )  %>'
                    CssClass="CommonTextBox ProductDetailsDefault4QuantityText" />
                <asp:RequiredFieldValidator ID="uxQuantityRequiredValidator" runat="server" ControlToValidate="uxQuantityText"
                    ValidationGroup="ValidOption" Display="Dynamic" CssClass="CommonValidatorText ProductDetailsDefault4ValidatorText">
                    <div class="CommonValidateDiv ProductDetailsDefault4ValidateDiv"></div>
                    <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Quantity is required.
                </asp:RequiredFieldValidator>
                <asp:CompareValidator ID="uxQuantityCompare" runat="server" ControlToValidate="uxQuantityText"
                    Operator="GreaterThan" ValueToCompare="0" Type="Integer" ValidationGroup="ValidOption"
                    Display="Dynamic" CssClass="CommonValidatorText ProductDetailsDefault4ValidatorText">
                    <div class="CommonValidateDiv ProductDetailsDefault4ValidateDiv"></div>
                    <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Quantity is invalid.
                </asp:CompareValidator>
                <asp:UpdatePanel ID="uxMessageUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div id="uxMessageDiv" runat="server" class="CommonValidatorText ProductDetailsDefault4ValidatorText"
                            runat="server">
                            <div class="CommonValidateDiv ProductDetailsDefault4ValidateDiv">
                            </div>
                            <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                            <asp:Label ID="uxMessage" runat="server"></asp:Label>
                        </div>
                        <div class="ProductDetailsDefault4OutOfRangeQuantityParagraph">
                            <div id="uxMessageMinQuantityDiv" runat="server" class="CommonValidatorText ProductDetailsDefault4ValidatorText">
                                <div class="CommonValidateDiv ProductDetailsDefault4ValidateDiv">
                                </div>
                                <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                                <asp:Label ID="uxMinQuantityLabel" runat="server"></asp:Label>
                            </div>
                            <div id="uxMessageMaxQuantityDiv" runat="server" class="CommonValidatorText ProductDetailsDefault4ValidatorText">
                                <div class="CommonValidateDiv ProductDetailsDefault4ValidateDiv">
                                </div>
                                <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                                <asp:Label ID="uxMaxQuantityLabel" runat="server"></asp:Label>
                            </div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                    </Triggers>
                </asp:UpdatePanel>
            </div>
            <div id="uxMessageStockDiv" runat="server" class="CommonValidatorText ProductDetailsDefault4ValidatorTextOutOfStock"
                visible='<%# CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                <asp:Label ID="uxStockLabel" runat="server" Text="[$This product is out of stock]"></asp:Label>
            </div>
            <div class="ProductDetailsDefault4AddToCart">
                <asp:LinkButton ID="uxAddToCartImageButton" runat="server" ValidationGroup="ValidOption"
                    OnClick="uxAddToCartImageButton_Click" CssClass="BtnStyle1" Text="[$BtnAddToCart]"
                    Visible='<%# IsAuthorizedToViewPrice() && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>' />
            </div>
        </div>
        <uc6:RelatedProducts ID="uxRelatedProducts" runat="server" />
        <div class="NormalDiv">
            <asp:LinkButton ID="uxTellFriend" runat="server" OnCommand="uxTellFriendButton_Command"
                CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                CssClass="BtnStyle5  TellFriendLinkButton" Text="[$BtnTellFriend]" />
            <uc10:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) && 
                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                ValidationGroup="ValidOption" />
            <uc15:AddtoCompareListButton ID="uxAddtoCompareListButton" Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'
                runat="server" />
        </div>
    </div>
</div>
<uxAddToCartNotification:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
