﻿using System;
using System.Web.Security;
using System.Web.UI;
using Vevo;
using Vevo.Domain;
using Vevo.Domain.Contents;
using Vevo.WebUI.BaseControls;
using Vevo.Deluxe.WebUI.Marketing;

public partial class Themes_Content : BaseMasterPage
{
    private bool IsDisplayRightLayout
    {
        get
        {
            string rightMenuID = DataAccessContext.Configurations.GetValue( "RightContentMenu" );
            ContentMenu rightMenu = DataAccessContext.ContentMenuRepository.GetOne( rightMenuID );
            uxRight.Visible = rightMenu.IsEnabled;
            return rightMenu.IsEnabled;
        }
    }

    private bool IsDisplayLeftLayout
    {
        get
        {
            string leftMenuID = DataAccessContext.Configurations.GetValue( "LeftContentMenu" );
            ContentMenu leftMenu = DataAccessContext.ContentMenuRepository.GetOne( leftMenuID );
            uxLeft.Visible = leftMenu.IsEnabled;
            return leftMenu.IsEnabled;
        }
    }


    protected void Page_Load( object sender, EventArgs e )
    {
        if (KeyUtilities.IsTrialLicense())
            uxTrialWarningPlaceHolder.Visible = true;
        else
            uxTrialWarningPlaceHolder.Visible = false;

        if (DataAccessContext.Configurations.GetBoolValue( "RestrictAccessToShop" ))
        {
            if (!Page.User.Identity.IsAuthenticated)
            {
                uxRight.Visible = false;
                MainDivCenter.Style.Add( "margin", "auto" );
                MainDivCenter.Style.Add( "float", "none" );

                if (IsRestrictedAccessPage())
                {
                    FormsAuthentication.RedirectToLoginPage();
                }
            }

        }

        if (DataAccessContext.Configurations.GetBoolValue( "PriceRequireLogin" ))
        {
            if (!Page.User.Identity.IsAuthenticated)
            {
                uxPriceRequireLoginPanel.Visible = true;
            }
        }

        AffiliateHelper.SetAffiliateCookie( AffiliateCode );
    }

    protected void Page_PreRender( object sender, EventArgs e )
    {
        if (!IsDisplayLeftLayout && !IsDisplayRightLayout)
        {
            MainDivCenter.Attributes.Add( "Class", "ProductDiv" );
        }
        else if (!IsDisplayLeftLayout || !IsDisplayRightLayout)
        {
            MainDivCenter.Attributes.Add("Class", "MainDivCenter700");
        }
    }
}
